using System.ComponentModel.Composition;
using System.Windows;
using TaskIt.Core;
using TaskIt.Modules.Dashboard.ViewModels;

namespace TaskIt.Modules.Dashboard.Views
{
    public partial class TasksDueThisWeek
    {
        public TasksDueThisWeek()
        {
            InitializeComponent();
            CompositionInitializer.SatisfyImports(this);
            DataContext = ViewModel;
        }

        private void CalendarContextMenuOpened(object sender, RoutedEventArgs e)
        {
            Utils.CalendarContextMenuOpened(sender, e);
        }

        [Import]
        public TasksDueThisWeekViewModel ViewModel { get; set; }
    }
}